%define madwifi_version  0.9.4

Packager: Stanislav Ievlev <inger@altlinux.org>

Name: wpa_supplicant
Version: 0.5.10
Release: alt3.M41.1
License: GPL/BSD
Group: Security/Networking
Summary: wpa_supplicant is an implementation of the WPA Supplicant component
Url: http://hostap.epitest.fi/
Source0: %name-%version.tar
Source1: %name.sysconfig
Source2: %name.init
Source3: %name.config
Source4: dbus-%name.conf
Source5: dbus-%name.service

PreReq: coreutils
PreReq: modutils
Requires: dbus

BuildPreReq: kernel-build-tools >= 0.7 kernel-source-madwifi = %madwifi_version libdbus-devel

# Automatically added by buildreq on Thu May 10 2007
BuildRequires: docbook-utils libncurses-devel libpcsclite-devel libreadline-devel libssl-devel

%description
wpa_supplicant is an implementation of the WPA Supplicant component,
i.e., the part that runs in the client stations. It implements WPA key
negotiation with a WPA Authenticator and EAP authentication with
Authentication Server. In addition, it controls the roaming and IEEE
802.11 authentication/association of the wlan driver.

wpa_supplicant is designed to be a "daemon" program that runs in the
background and acts as the backend component controlling the wireless
connection. wpa_supplicant supports separate frontend programs and an
example text-based frontend, wpa_cli, is included with wpa_supplicant.

%prep

%setup -q

rm -rf kernel-source-madwifi-%madwifi_version
tar -jxvf %kernel_src/kernel-source-madwifi-%madwifi_version.tar.bz2

%build
%__cp %SOURCE3 .config
%__subst 's|-I../madwifi/wpa|-I./kernel-source-madwifi-%madwifi_version|' .config
%__subst 's@\/usr\/lib@%_libdir@' %name.conf

#utils
%make_build

#docs
cd doc/docbook
    make ||:
cd -

%install
#utils
for i in wpa_supplicant wpa_cli wpa_passphrase; do
    %__install -Dpm755 $i %buildroot/%_sbindir/${i##*/}
done

#docs
cd doc/docbook
    for i in `find . -name '*.[0-9]'`;do
	%__install -Dpm 644 $i %buildroot/%_mandir/man${i##*.}/${i##*/}
    done
cd -

#extra
%__install -Dpm644 %name.conf	%buildroot%_sysconfdir/%name.conf
%__install -Dpm644 %SOURCE1 %buildroot%_sysconfdir/sysconfig/%name
%__install -Dpm644 %SOURCE2 %buildroot%_initdir/%name
%__install -Dpm644 %SOURCE4 %buildroot%_sysconfdir/dbus-1/system.d/dbus-%name.conf
%__install -Dpm644 %SOURCE5 %buildroot%_datadir/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service

%files
%config(noreplace) %attr(0600,root,root) %_sysconfdir/%name.conf
%config(noreplace) %attr(0600,root,root) %_sysconfdir/sysconfig/*
%config %_sysconfdir/dbus-1/system.d/dbus-%name.conf
%config %_datadir/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service

%_initdir/%name
%_sbindir/*
%_man5dir/*
%_man8dir/*
%doc COPYING README ChangeLog

%changelog
* Wed Jul 16 2008 Mikhail Efremov <sem@altlinux.org> 0.5.10-alt3.M41.1
- build for 4.1

* Tue May 06 2008 Anton Farygin <rider@altlinux.ru> 0.5.10-alt3
- enabled dbus support

* Thu Apr 24 2008 Mikhail Efremov <sem@altlinux.org> 0.5.10-alt2.1
- rebuild with D-Bus support

* Tue Apr 15 2008 Anton Farygin <rider@altlinux.ru> 0.5.10-alt2
- added kernel-source-madwifi build requires 

* Mon Apr 14 2008 Anton Farygin <rider@altlinux.ru> 0.5.10-alt1
- new version

* Sat Mar 08 2008 L.A. Kostis <lakostis@altlinux.ru> 0.5.9-alt2
- rebuild with madwifi-0.9.4.

* Wed Jan 16 2008 Stanislav Ievlev <inger@altlinux.org> 0.5.9-alt1
- 0.5.9
- minimize deps on kernel-source-madwifi version

* Wed Jun 06 2007 Stanislav Ievlev <inger@altlinux.org> 0.5.8-alt1
- 0.5.8

* Wed May 23 2007 Konstantin A. Lepikhov <lakostis@altlinux.org> 0.5.7-alt4
- rebuild with madwifi 0.9.3.1.

* Fri May 18 2007 Stanislav Ievlev <inger@altlinux.org> 0.5.7-alt3
- fix buildreq

* Fri May 11 2007 L.A. Kostis <lakostis@altlinux.ru> 0.5.7-alt2
- rebuild with madwifi 0.9.3.

* Thu May 10 2007 Stanislav Ievlev <inger@altlinux.org> 0.5.7-alt1
- 0.5.7

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.4.9-alt3.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Sat Sep 02 2006 Alexei Takaseev <taf@altlinux.ru> 0.4.9-alt3
- rebuild with madwifi 0.9.2

* Sat Jul 22 2006 Alexei Takaseev <taf@altlinux.ru> 0.4.9-alt2
- rebuild with new libpcsclite

* Thu May 18 2006 Alexei Takaseev <taf@altlinux.ru> 0.4.9-alt1
- 0.4.9
- fix #9553

* Tue Apr 11 2006 Alexei Takaseev <taf@altlinux.ru> 0.4.8-alt2
- Rebuild with new madwifi-ng 20060411

* Sun Feb 12 2006 Alexei Takaseev <taf@altlinux.ru> 0.4.8-alt1
- 0.4.8
- Add debug logging

* Wed Feb 01 2006 Alexei Takaseev <taf@altlinux.ru> 0.4.7-alt2
- Rebuild with madwifi-ng 20060201

* Sun Dec 11 2005 Alexei Takaseev <taf@altlinux.ru> 0.4.7-alt1
- 0.4.7
- Remove unneeded wpa_supplicant-driver_ipw.c.patch

* Mon Sep 12 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.9-alt3
- add madwifi driver support
- fix pid-file creation

* Sat Jul 02 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.9-alt2
- fix ipw2100/ipw2200 drivers

* Tue Jun 14 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.9-alt1
- 0.3.9

* Sun May 15 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.8-alt3
- change RPM group to "Security/Networking"

* Fri Apr 22 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.8-alt2
- Add support: 
	* CTRL_IFACE
	* XSUPPLICANT_IFACE
	* PKCS12
	* DRIVER_IPW
	* EAP_AKA
	* EAP_PSK

* Wed Mar 16 2005 Alexei Takaseev <taf@altlinux.ru> 0.3.8-alt1
- 0.3.8

* Wed Feb 16 2005 Alexei Takaseev <taf@altlinux.ru> 0.2.7-alt1
- 0.2.7

* Tue Jan 04 2005 Alexei Takaseev <taf@altlinux.ru> 0.2.6-alt1
- 0.2.6

* Thu Oct 07 2004 Alexei Takaseev <taf@altlinux.ru> 0.2.5-alt1
- first build for ALT Sisyphus
